xine-lib: xine-lib-1.2.13/src/dxr3/video_out_dxr3.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Enumerations | Functions
video_out_dxr3.h File Reference
`#include <xine/xine_internal.h>`
`#include <xine/vo_scale.h>`
`#include "dxr3_scr.h"`
`#include "dxr3.h"`

Go to the source code of this file.

## Data Structures
struct | coeff
struct | dxr3_overlay_s
struct | dxr3_driver_class_s
struct | dxr3_driver_s
struct | dxr3_frame_s
struct | encoder_data_s
struct | spu_encoder_s

## Macros
#define | SUPPORTED_ENCODER_COUNT 3
#define | dxr3_video_setpts(fd, arg) dxr3_compat_ioctl((fd), EM8300_IOCTL_VIDEO_SETPTS, (arg))
#define | dxr3_spu_setpts(fd, arg) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_SETPTS, (arg))
#define | dxr3_spu_setpalette(fd, arg) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_SETPALETTE, (arg))
#define | dxr3_spu_button(fd, arg) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_BUTTON, (arg))

## Typedefs
typedef struct encoder_data_s | encoder_data_t
typedef struct spu_encoder_s | spu_encoder_t
typedef struct dxr3_overlay_s | dxr3_overlay_t
typedef struct dxr3_driver_class_s | dxr3_driver_class_t
typedef struct dxr3_driver_s | dxr3_driver_t
typedef struct dxr3_frame_s | dxr3_frame_t

## Enumerations
enum | encoder_type { ENC_FAME , ENC_RTE , ENC_LAVC }

## Functions
int | dxr3_lavc_init (dxr3_driver_t *, plugin_node_t *)
spu_encoder_t * | dxr3_spu_encoder_init (void)
void | dxr3_spu_encode (spu_encoder_t *)
int | dxr3_compat_ioctl (int, int, void *)

## Macro Definition Documentation

## ◆ dxr3_spu_button

#define dxr3_spu_button | ( |  | fd,
|  |  | arg ) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_BUTTON, (arg))

Referenced by dxr3_dispose(), dxr3_overlay_end(), dxr3_spudec_decode_data(), dxr3_spudec_dispose(), dxr3_spudec_process_nav(), and dxr3_spudec_set_button().

## ◆ dxr3_spu_setpalette

#define dxr3_spu_setpalette | ( |  | fd,
|  |  | arg ) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_SETPALETTE, (arg))

Referenced by dxr3_overlay_end(), and dxr3_spudec_decode_data().

## ◆ dxr3_spu_setpts

#define dxr3_spu_setpts | ( |  | fd,
|  |  | arg ) dxr3_compat_ioctl((fd), EM8300_IOCTL_SPU_SETPTS, (arg))

Referenced by dxr3_spudec_decode_data().

## ◆ dxr3_video_setpts

#define dxr3_video_setpts | ( |  | fd,
|  |  | arg ) dxr3_compat_ioctl((fd), EM8300_IOCTL_VIDEO_SETPTS, (arg))

Referenced by dxr3_decode_data(), and dxr3_display_frame().

## ◆ SUPPORTED_ENCODER_COUNT

#define SUPPORTED_ENCODER_COUNT 3

Referenced by dxr3_vo_open_plugin().

## Typedef Documentation

## ◆ dxr3_driver_class_t

typedef struct dxr3_driver_class_s dxr3_driver_class_t

## ◆ dxr3_driver_t

typedef struct dxr3_driver_s dxr3_driver_t

## ◆ dxr3_frame_t

typedef struct dxr3_frame_s dxr3_frame_t

## ◆ dxr3_overlay_t

typedef struct dxr3_overlay_s dxr3_overlay_t

## ◆ encoder_data_t

typedef struct encoder_data_s encoder_data_t

## ◆ spu_encoder_t

typedef struct spu_encoder_s spu_encoder_t

## Enumeration Type Documentation

## ◆ encoder_type

enum encoder_type

Enumerator
ENC_FAME |
ENC_RTE |
ENC_LAVC |

## Function Documentation

## ◆ dxr3_compat_ioctl()

int dxr3_compat_ioctl | ( | int | fd,
|  | int | rq,
|  | void * | arg )

## ◆ dxr3_lavc_init()

int dxr3_lavc_init | ( | dxr3_driver_t * | drv,
|  | plugin_node_t * | plugin )

References dxr3_lavc_close(), dxr3_driver_s::enc, ENC_LAVC, lavc_on_display_frame(), lavc_on_unneeded(), lavc_on_update_format(), lprintf, NULL, and encoder_data_s::on_close.

Referenced by dxr3_vo_open_plugin().

## ◆ dxr3_spu_encode()

void dxr3_spu_encode | ( | spu_encoder_t * | this | ) |

References convert_clut(), convert_overlay(), convert_palette(), create_histogram(), generate_clut(), lprintf, and map_colors().

Referenced by dxr3_overlay_end().

## ◆ dxr3_spu_encoder_init()

spu_encoder_t * dxr3_spu_encoder_init | ( | void |  | ) |

References lprintf, and NULL.

Referenced by dxr3_overlay_begin().